> ## Documentation Index
> Fetch the complete documentation index at: https://docs.amberdata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Historical

> Provides historical trade data for Spot market trading pairs, detailing individual trade prices, volumes, buy/sell indicators, and timestamps to track transaction activity over time on supported exchanges.

<Warning>
  The maximum time range (difference between `startDate` and `endDate`) is **731 days (2 years)**.
</Warning>

<Note>
  If the `startDate` and `endDate` query parameters are not provided, the API will return the data from the previous 24 hours.
</Note>


## OpenAPI

````yaml get /spot/trades/{instrument}
openapi: 3.1.0
info:
  title: market-api
  version: '2'
servers:
  - url: https://api.amberdata.com/markets
security:
  - ApiKeyAuth: []
paths:
  /spot/trades/{instrument}:
    get:
      summary: Historical
      description: >-
        Provides historical trade data for Spot market trading pairs, detailing
        individual trade prices, volumes, buy/sell indicators, and timestamps to
        track transaction activity over time on supported exchanges.
      operationId: spot-trades-historical
      parameters:
        - name: exchange
          in: query
          description: >-
            The exchange for which data should be retrieved. Only **1** exchange
            is allowed.
          required: true
          schema:
            type: string
            default: gdax
        - name: startDate
          in: query
          description: >-
            **[Optional]** Payload only includes data after this date
            (inclusive).  **[Formats]** `seconds | milliseconds | iso8601`
            **[Examples]** `1578531600 | 1578531600000 | 2020-09-01T01:00:00`
          schema:
            type: string
            format: date-time
            default: '2023-01-20T00:00:00'
        - name: endDate
          in: query
          description: >-
            **[Optional]** Payload only includes data before this date
            (exclusive).  **[Formats]** `seconds | milliseconds | iso8601`
            **[Examples]** `1578531600 | 1578531600000 | 2020-09-01T01:00:00`
          schema:
            type: string
            format: date-time
            default: '2023-01-20T00:10:00'
        - name: instrument
          in: path
          description: The spot instrument for which data will be retrieved.
          schema:
            type: string
            default: eth_usd
          required: true
        - name: timeFormat
          in: query
          description: '**[Optional]** Time format of the timestamps in the return payload.'
          schema:
            type: string
            enum:
              - milliseconds
              - ms
              - iso
              - iso8601
              - hr
              - human_readable
            default: hr
        - name: sortDirection
          in: query
          description: >-
            **[Optional]** Specifies the direction in which the data is sorted
            (by timestamp).   **[Defaults]** asc (ascending order).   **[Usage
            Conditions]** This parameter can only be used if the `startDate` and
            `endDate` timeframe is within the most recent 24 hours, or if the
            `startDate` and `endDate` parameters are not used at all.  
            **[Examples]** ascending | descending | asc | desc
          schema:
            type: string
        - name: Accept-Encoding
          in: header
          required: true
          description: ''
          schema:
            type: string
            default: gzip, deflate, br
        - name: api-version
          in: header
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    status: 200
                    title: OK
                    description: Successful request
                    payload:
                      metadata:
                        next: null
                        api-version: '2023-09-30'
                      data:
                        - instrument: eth_usd
                          exchange: gdax
                          exchangeTimestamp: 1674172800137
                          exchangeTimestampNanoseconds: 927000
                          isBuySide: true
                          price: 1550.96
                          volume: 0.19342803
                          tradeId: '414516225'
                          sequence: null
                          quoteVolume: null
                        - instrument: eth_usd
                          exchange: gdax
                          exchangeTimestamp: 1674172800137
                          exchangeTimestampNanoseconds: 927000
                          isBuySide: true
                          price: 1550.96
                          volume: 0.2347599
                          tradeId: '414516226'
                          sequence: null
                          quoteVolume: null
              schema:
                type: object
                properties:
                  status:
                    type: integer
                  title:
                    type: string
                  description:
                    type: string
                  payload:
                    type: object
                    properties:
                      metadata:
                        type: object
                        properties:
                          next:
                            type: string
                          api-version:
                            type: string
                      data:
                        type: array
                        items:
                          type: object
                          properties:
                            instrument:
                              type: string
                            exchange:
                              type: string
                            exchangeTimestamp:
                              type: integer
                            exchangeTimestampNanoseconds:
                              type: integer
                            isBuySide:
                              type: boolean
                            price:
                              type: number
                            volume:
                              type: number
                            tradeId:
                              type: string
                            sequence:
                              type: string
                            quoteVolume:
                              type: number
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````